Subject: [AVT] WGLC for draft-ietf-avt-srtp-big-aes-03

From: "DRAGE, Keith (Keith)" <[email-masked]>
Date: Tue, 15 Jun 2010 14:54:18 +0200

This is to announce a two week working group last call on:

http://www.ietf.org/id/draft-ietf-avt-srtp-big-aes-03.txt

The WGLC will end on 29th June 2010. The document is intended as proposed standard.

Please respond with comments to the list. Where possible, please attempt to propose resolutions of your comments as well as the comments themselves. It is also useful to provide some indication of the severity of the problem.

regards

Keith

---

From: Jonathan Lennox <[email-masked]>
Date: Tue, 15 Jun 2010 12:22:15 -0400

I have no objections to the normative content of this draft.

I have also contributed running code that implements this draft to the open-source libsrtp project.

Non-normative content:

It would be useful to have a rationale as to why it's not felt to be necessary for the crypto suites defined in this document to use to the SHA-2 family of hash functions (SHA-256, etc) for authentication.

For the test cases, it would be useful to have a testcase with non-zero values for the ROC, SSRC, and sequence number, to protect against implementations failing to initialize those fields.

It would also be useful to have test cases that illustrate the entire process from master key to encrypted and authenticated SRTP and SRTCP packets.  The existing test cases aren't sufficient for black-box testing, since session keys and keystreams are usually internal to an implementation.

None of these issues should be seen as blocking the document.

Editorial:

Section 2, paragraph 2: extra space before period:

   using the terminology from Section 4.1.1 of [RFC3711] .  In this
                                                        ^

Section 3, paragraph 1: extra space before close parenthesis:

   the phrase "key derivation function". ) This key derivation function
                                        ^

Section 3, paragraph 3: inconsistent quotation:

   operation, and the "AES Encrypt" operation uses AES-128, AES-192, or
   AES-256 for the "AES-CM PRF", AES_192_CM_PRF, and AES_256_CM_PRF,
                   ^          ^  ^            ^      ^            ^

Section 4, title: typographical error

4.  Crypto Suties
           ^^^^^^

-- 
Jonathan Lennox
Vidyo, Inc
[email-masked]

---

From: Cullen Jennings <[email-masked]>
Date: Sat, 19 Jun 2010 11:48:17 -0600

> The WGLC will end on 29th June 2010. The document is intended as proposed standard.

It looks OK to me.